Bug 900580 (JBPAPP6-1417) - httpd: libaprutil-1.so.0: file too short
Summary: httpd: libaprutil-1.so.0: file too short
Keywords:
Status: CLOSED NOTABUG
Alias: JBPAPP6-1417
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Apache Server (httpd) and Connectors, Documentation
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: TBD EAP 6
Assignee: Permaine Cheung
QA Contact:
URL: http://jira.jboss.org/jira/browse/JBP...
Whiteboard: eap6 httpd
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-03 16:12 UTC by Michal Karm Babacek
Modified: 2015-02-20 10:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Apache portable runtime (APR) binaries are not natively packaged as part of JBoss Enterprise Application Platform, or JBoss Enterprise Web Server, for Red Hat Enterprise Linux. Symlinks are used to reference the base Red Hat Enterprise Linux libraries. This can result in an issue with unresolvable symlinks when trying to use APR binaries if the following packages are not installed: `apr`, `apr-util`, `apr-devel`, `apr-util-devel`. The fix for this issue will be shipped in a future Red Hat Enterprise Linux APR update.
Clone Of:
Environment:
RHEL 6 x86_64
Last Closed: 2013-02-22 13:46:05 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP6-1417 Major Closed httpd: libaprutil-1.so.0: file too short 2018-12-05 11:12:24 UTC

Description Michal Karm Babacek 2012-06-03 16:12:59 UTC
Affects: Release Notes
project_key: JBPAPP6

This httpd: [jboss-ews-1.0.2-RHEL6-x86_64-httpd.zip|http://download.lab.bos.redhat.com/devel/candidates/JBEAP/JBEAP-6.0.0-ER8/httpd/jboss-ews-1.0.2-RHEL6-x86_64-httpd.zip] works fine, whereas the current *CR1* EAP 6's httpd ( [jboss-ews-1.0.2-RHEL6-x86_64-httpd.zip|http://download.lab.bos.redhat.com/devel/candidates/JBEAP/JBEAP-6.0.0-CR1/httpd/jboss-ews-1.0.2-RHEL6-x86_64-httpd.zip] ) doesn't start, error being:

{noformat}
/tmp/hudson/httpd/sbin/httpd: error while loading shared libraries: /tmp/hudson/httpd/lib/libaprutil-1.so.0: file too short
{noformat}

Investigation is going on, stay tuned for updates...

*(i)Note:* Customer needs to have apr and apr-util installed.

Comment 1 Mladen Turk 2012-06-03 18:48:04 UTC
I'm not maintainer for the RHEL packages

Comment 2 Pavel Janousek 2012-06-04 08:43:35 UTC
APR from RHEL6 (i386) exports:{code}[root@dell-pe860-01 ~]# rpm -ql apr
/usr/lib/libapr-1.so.0                                                                                                                                                                                                                       
/usr/lib/libapr-1.so.0.3.9                                                                                                                                                                                                                   
/usr/share/doc/apr-1.3.9                                                                                                                                                                                                                     
/usr/share/doc/apr-1.3.9/CHANGES                                                                                                                                                                                                             
/usr/share/doc/apr-1.3.9/LICENSE                                                                                                                                                                                                             
/usr/share/doc/apr-1.3.9/NOTICE                                                                                                                                                                                                              
[root@dell-pe860-01 ~]#{code}, but mentioned ZIP ([jboss-ews-1.0.2-RHEL6-i386-httpd.zip|http://download.devel.redhat.com/devel/candidates/JBEAP/JBEAP-6.0.0-CR1/httpd/jboss-ews-1.0.2-RHEL6-i386-httpd.zip] from CR1) contains symlinks as jboss-ews-1.0/httpd/lib/libapr-1.so -> /usr/lib/libapr-1.so and jboss-ews-1.0/httpd/lib/libaprutil-1.so -> /usr/lib/libaprutil-1.so - these destination files don't exist from APR package. At least jboss-ews-1.0/httpd/sbin/httpd is linked directly to libapr-1.so.0 (ldd says this), but I didn't verify others.

I think at least this issue with unresolvable symlinks should be fixed.

Comment 3 Michal Karm Babacek 2012-06-04 08:45:24 UTC
@[~permaine] OK, the reason is quite simple: Httpd packaged with EAP6 ER8 has apr libs included, whereas httpd in EAP6 CR1 contains only links on system files. The box where I was playing with CR1 httpd does not have apr libs installed.

This is a major change that has to be documented somewhere.

Where should I take libapr for httpd from? EAP6 rpm? EWS rpm? What it the official supported policy on this?




Comment 4 Permaine Cheung 2012-06-04 12:42:26 UTC
This is to address the fix for JBPAPP-9087.
We do not ship the apr nor apr-util RPMS on RHEL 5 and 6 in EWS, we rely on the base RHEL ones. By linking to the system installed libraries, RHEL fixes are picked up automatically.

Please assign to the docs team for documentation, so that customers will have apr and apr-util installed on their system for this.

Comment 5 Pavel Janousek 2012-06-04 13:39:10 UTC
Hi Permaine,

well I think the same, but what about [this my comment|https://issues.jboss.org/browse/JBPAPP-9226?focusedCommentId=12698326&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-12698326] about unresolvable symlinks?

Comment 6 Permaine Cheung 2012-06-04 13:41:08 UTC
Pavel, you'll need apr-util installed as well. 

Comment 7 Pavel Janousek 2012-06-04 13:45:58 UTC
Permaine,

excuse me, but you didn't catch my point. I've installed apr and apr-util as well, but none of them install to the system FS object /usr/lib/\*.so, only /usr/lib/\*.so.0... I'm missing /usr/lib/libapr-1.so and /usr/lib/libaprutil-1.so whose are linked from JBoss ZIP build of Apache HTTPd.

Comment 8 Permaine Cheung 2012-06-04 14:11:31 UTC
Sorry, those ones that you mentioned are from apr-devel and apr-util-devel. Please add these 2 to the list as well.

Comment 9 Rajesh Rajasekaran 2012-06-04 19:03:24 UTC
If I can summarize this issue, we do not package apr as part of RHEL EAP/EWS natives, but use apr from base RHEL.
The apr binaries which slipped into the ER8 build have been removed now in CR1, which is the right thing to do, and we only have symlinks pointing to the base RHEL libraries.
However to have valid symlinks we need the following packages from base RHEL installed. "apr apr-util apr-devel apr-util-devel". This needs to be documented in the installation guide. Hence assigning to Misty.

Michal still needs to confirm if including apr-devel and apr-util-devel completely resolved the mentioned issue with symlinks.

Comment 10 Pavel Janousek 2012-06-05 06:33:41 UTC
Rajesh,

I did this verification yesterday already. Permaine is right, *.so (without ".0" suffix) files are deployed via *-devel.rpm packages.

So for fully resolvable symlinks from EWS httpd ZIP we have to install these four packages as you mentioned.

Comment 11 Tom WELLS 2012-06-06 05:25:42 UTC
Release Notes Docs Status: Added: Not Yet Documented


Comment 12 Tom WELLS 2012-06-06 05:26:18 UTC
Affects: Added: Release Notes


Comment 13 Rostislav Svoboda 2012-06-07 09:21:01 UTC
Link: Added: This issue is a dependency of JBPAPP-9188


Comment 14 Rajesh Rajasekaran 2012-06-07 23:54:08 UTC
Setting fix version to CR1, this is only a documentation issue, the fix is already pushed to upstream RHEL

Comment 15 Rajesh Rajasekaran 2012-06-07 23:54:19 UTC
Link: Removed: This issue is a dependency of JBPAPP-9188 


Comment 16 Tom WELLS 2012-06-11 01:44:02 UTC
Release Notes Docs Status: Removed: Not Yet Documented Added: Documented as Known Issue
Release Notes Text: Added: Apache portable runtime (APR) binaries are not natively packaged as part of JBoss Enterprise Application Platform, or JBoss Enterprise Web Server, for Red Hat Enterprise Linux. Symlinks are used to reference the base Red Hat Enterprise Linux libraries. This can result in an issue with unresolvable symlinks when trying to use APR binaries if the following packages are not installed: apr, apr-util, apr-devel, apr-util-devel.

The fix for this issue will be shipped via a Red Hat Enterprise Linux APR update against the bugzilla referenced in the JIRA.


Comment 17 Dana Mison 2012-10-16 05:27:54 UTC
Writer: Added: tomwells


Comment 18 Dana Mison 2012-10-29 00:55:12 UTC
Release Notes Text: Removed: Apache portable runtime (APR) binaries are not natively packaged as part of JBoss Enterprise Application Platform, or JBoss Enterprise Web Server, for Red Hat Enterprise Linux. Symlinks are used to reference the base Red Hat Enterprise Linux libraries. This can result in an issue with unresolvable symlinks when trying to use APR binaries if the following packages are not installed: apr, apr-util, apr-devel, apr-util-devel.

The fix for this issue will be shipped via a Red Hat Enterprise Linux APR update against the bugzilla referenced in the JIRA. Added: Apache portable runtime (APR) binaries are not natively packaged as part of JBoss Enterprise Application Platform, or JBoss Enterprise Web Server, for Red Hat Enterprise Linux. Symlinks are used to reference the base Red Hat Enterprise Linux libraries. This can result in an issue with unresolvable symlinks when trying to use APR binaries if the following packages are not installed: apr, apr-util, apr-devel, apr-util-devel.

The fix for this issue will be shipped with the Red Hat Enterprise Linux APR update against the bugzilla referenced in the JIRA.


Comment 19 Dana Mison 2012-10-29 00:55:36 UTC
Release Notes Text: Removed: Apache portable runtime (APR) binaries are not natively packaged as part of JBoss Enterprise Application Platform, or JBoss Enterprise Web Server, for Red Hat Enterprise Linux. Symlinks are used to reference the base Red Hat Enterprise Linux libraries. This can result in an issue with unresolvable symlinks when trying to use APR binaries if the following packages are not installed: apr, apr-util, apr-devel, apr-util-devel.

The fix for this issue will be shipped with the Red Hat Enterprise Linux APR update against the bugzilla referenced in the JIRA. Added: Apache portable runtime (APR) binaries are not natively packaged as part of JBoss Enterprise Application Platform, or JBoss Enterprise Web Server, for Red Hat Enterprise Linux. Symlinks are used to reference the base Red Hat Enterprise Linux libraries. This can result in an issue with unresolvable symlinks when trying to use APR binaries if the following packages are not installed: `apr`, `apr-util`, `apr-devel`, `apr-util-devel`.

The fix for this issue will be shipped with the Red Hat Enterprise Linux APR update against the bugzilla referenced in the JIRA.


Comment 20 Anne-Louise Tangring 2012-11-13 20:57:57 UTC
Release Notes Docs Status: Removed: Documented as Known Issue 
Writer: Removed: tomwells 
Release Notes Text: Removed: Apache portable runtime (APR) binaries are not natively packaged as part of JBoss Enterprise Application Platform, or JBoss Enterprise Web Server, for Red Hat Enterprise Linux. Symlinks are used to reference the base Red Hat Enterprise Linux libraries. This can result in an issue with unresolvable symlinks when trying to use APR binaries if the following packages are not installed: `apr`, `apr-util`, `apr-devel`, `apr-util-devel`.

The fix for this issue will be shipped with the Red Hat Enterprise Linux APR update against the bugzilla referenced in the JIRA. 
Docs QE Status: Removed: NEW 


Comment 22 Michal Karm Babacek 2013-02-22 13:46:05 UTC
Documented as Known Issue


Note You need to log in before you can comment on or make changes to this bug.